Index: code/branches/gamestate/data/gui/schemes/SleekSpaceHUDWidgets.scheme
===================================================================
--- code/branches/gamestate/data/gui/schemes/SleekSpaceHUDWidgets.scheme	(revision 6569)
+++ code/branches/gamestate/data/gui/schemes/SleekSpaceHUDWidgets.scheme	(revision 6569)
@@ -0,0 +1,42 @@
+<?xml version="1.0" ?>
+<GUIScheme Name="SleekSpaceHUDWidgets">
+    <WindowAlias Alias="HUDWidgets/StaticImage"              Target="SleekSpace/StaticImage" />
+    <WindowAlias Alias="HUDWidgets/StaticText"               Target="SleekSpace/StaticText" />
+    <WindowAlias Alias="HUDWidgets/TabButtonPane"            Target="SleekSpace/TabButtonPane" />
+    <WindowAlias Alias="HUDWidgets/TabContentPane"           Target="SleekSpace/TabContentPane" />
+    <WindowAlias Alias="HUDWidgets/Checkbox"                 Target="SleekSpace/Checkbox" />
+    <WindowAlias Alias="HUDWidgets/Combobox"                 Target="SleekSpace/Combobox" />
+    <WindowAlias Alias="HUDWidgets/ComboDropList"            Target="SleekSpace/ComboDropList" />
+    <WindowAlias Alias="HUDWidgets/ComboEditbox"             Target="SleekSpace/ComboEditbox" />
+    <WindowAlias Alias="HUDWidgets/Editbox"                  Target="SleekSpace/Editbox" />
+    <WindowAlias Alias="HUDWidgets/FrameWindow"              Target="SleekSpace/FrameWindow" />
+    <WindowAlias Alias="HUDWidgets/GroupBox"                 Target="SleekSpace/GroupBox" />
+    <WindowAlias Alias="HUDWidgets/ItemListbox"              Target="SleekSpace/ItemListbox" />
+    <WindowAlias Alias="HUDWidgets/ListboxItem"              Target="SleekSpace/ListboxItem" />
+    <WindowAlias Alias="HUDWidgets/Listbox"                  Target="SleekSpace/Listbox" />
+    <WindowAlias Alias="HUDWidgets/ListHeader"               Target="SleekSpace/ListHeader" />
+    <WindowAlias Alias="HUDWidgets/ListHeaderSegment"        Target="SleekSpace/ListHeaderSegment" />
+    <WindowAlias Alias="HUDWidgets/MultiLineEditbox"         Target="SleekSpace/MultiLineEditbox" />
+    <WindowAlias Alias="HUDWidgets/Menubar"                  Target="SleekSpace/Menubar" />
+    <WindowAlias Alias="HUDWidgets/MenuItem"                 Target="SleekSpace/MenuItem" />
+    <WindowAlias Alias="HUDWidgets/MultiColumnList"          Target="SleekSpace/MultiColumnList" />
+    <WindowAlias Alias="HUDWidgets/PopupMenu"                Target="SleekSpace/PopupMenu" />
+    <WindowAlias Alias="HUDWidgets/ProgressBar"              Target="SleekSpace/ProgressBar" />
+    <WindowAlias Alias="HUDWidgets/Button"                   Target="SleekSpace/Button" />
+    <WindowAlias Alias="HUDWidgets/ImageButton"              Target="SleekSpace/ImageButton" />
+    <WindowAlias Alias="HUDWidgets/RadioButton"              Target="SleekSpace/RadioButton" />
+    <WindowAlias Alias="HUDWidgets/SystemButton"             Target="SleekSpace/SystemButton" />
+    <WindowAlias Alias="HUDWidgets/ScrollablePane"           Target="SleekSpace/ScrollablePane" />
+    <WindowAlias Alias="HUDWidgets/HorizontalScrollbar"      Target="SleekSpace/HorizontalScrollbar" />
+    <WindowAlias Alias="HUDWidgets/VerticalScrollbar"        Target="SleekSpace/VerticalScrollbar" />
+    <WindowAlias Alias="HUDWidgets/Slider"                   Target="SleekSpace/Slider" />
+    <WindowAlias Alias="HUDWidgets/Spinner"                  Target="SleekSpace/Spinner" />
+    <WindowAlias Alias="HUDWidgets/TabButton"                Target="SleekSpace/TabButton" />
+    <WindowAlias Alias="HUDWidgets/TabControl"               Target="SleekSpace/TabControl" />
+    <WindowAlias Alias="HUDWidgets/HorizontalScrollbarThumb" Target="SleekSpace/HorizontalScrollbarThumb" />
+    <WindowAlias Alias="HUDWidgets/SliderThumb"              Target="SleekSpace/SliderThumb" />
+    <WindowAlias Alias="HUDWidgets/VerticalScrollbarThumb"   Target="SleekSpace/VerticalScrollbarThumb" />
+    <WindowAlias Alias="HUDWidgets/Titlebar"                 Target="SleekSpace/Titlebar" />
+    <WindowAlias Alias="HUDWidgets/Tooltip"                  Target="SleekSpace/Tooltip" />
+    <WindowAlias Alias="HUDWidgets/Tree"                     Target="SleekSpace/Tree" />
+</GUIScheme>
Index: code/branches/gamestate/data/gui/schemes/SleekSpaceLook.scheme
===================================================================
--- code/branches/gamestate/data/gui/schemes/SleekSpaceLook.scheme	(revision 6567)
+++ code/branches/gamestate/data/gui/schemes/SleekSpaceLook.scheme	(revision 6569)
@@ -1,274 +1,61 @@
 <?xml version="1.0" ?>
 <GUIScheme Name="SleekSpaceLook">
-	<Imageset Name="SleekSpace" Filename="sleekspace.imageset" />
-	<LookNFeel Filename="sleekspace.looknfeel" />
-	<WindowRendererSet Filename="CEGUIFalagardWRBase" />
+    <Imageset Name="SleekSpace" Filename="SleekSpace.imageset" />
+    <Imageset Name="TaharezLook" Filename="TaharezLook.imageset" />
+    <LookNFeel Filename="SleekSpace.looknfeel" />
+    <LookNFeel Filename="TaharezLook.looknfeel" />
+    <WindowRendererSet Filename="CEGUIFalagardWRBase" />
 
-	<!--
-		sleekspace.looknfeel
-	-->
-	<FalagardMapping
-		WindowType="SleekSpace/Button"
-		TargetType="CEGUI/PushButton"
-		Renderer="Falagard/Button"
-		LookNFeel="SleekSpace/Button"
-		/>
-	<FalagardMapping
-		WindowType="SleekSpace/SystemButton"
-		TargetType="CEGUI/PushButton"
-		Renderer="Falagard/SystemButton"
-		LookNFeel="SleekSpace/Button"
-		/>
-	<FalagardMapping
-		WindowType="SleekSpace/RadioButton"
-		TargetType="CEGUI/RadioButton"
-		Renderer="Falagard/ToggleButton"
-		LookNFeel="SleekSpace/RadioButton"
-		/>
-	<FalagardMapping
-		WindowType="SleekSpace/Checkbox"
-		TargetType="CEGUI/Checkbox"
-		Renderer="Falagard/ToggleButton"
-		LookNFeel="SleekSpace/Checkbox"
-		/>
-	<FalagardMapping
-		WindowType="SleekSpace/Editbox"
-		TargetType="CEGUI/Editbox"
-		Renderer="Falagard/Editbox"
-		LookNFeel="SleekSpace/Editbox"
-		/>
-	<FalagardMapping
-		WindowType="SleekSpace/MultiLineEditbox"
-		TargetType="CEGUI/MultiLineEditbox"
-		Renderer="Falagard/MultiLineEditbox"
-		LookNFeel="SleekSpace/MultiLineEditbox"
-		/>
-	<FalagardMapping
-		WindowType="SleekSpace/Tooltip"
-		TargetType="CEGUI/Tooltip"
-		Renderer="Falagard/Tooltip"
-		LookNFeel="SleekSpace/Tooltip"
-		/>
+    <!-- Standard widgets -->
+    <FalagardMapping WindowType="SleekSpace/StaticImage"                 TargetType="DefaultWindow"           Renderer="Falagard/StaticImage"       LookNFeel="SleekSpace/StaticImage" />
+    <FalagardMapping WindowType="SleekSpace/StaticText"                  TargetType="DefaultWindow"           Renderer="Falagard/StaticText"        LookNFeel="SleekSpace/StaticText" />
+    <FalagardMapping WindowType="SleekSpace/Checkbox"                    TargetType="CEGUI/Checkbox"          Renderer="Falagard/ToggleButton"      LookNFeel="SleekSpace/Checkbox" />
+    <FalagardMapping WindowType="SleekSpace/Combobox"                    TargetType="CEGUI/Combobox"          Renderer="Falagard/Default"           LookNFeel="SleekSpace/Combobox" />
+    <FalagardMapping WindowType="SleekSpace/ComboDropList"               TargetType="CEGUI/ComboDropList"     Renderer="Falagard/Listbox"           LookNFeel="SleekSpace/ComboDropList" />
+    <FalagardMapping WindowType="SleekSpace/ComboEditbox"                TargetType="CEGUI/Editbox"           Renderer="Falagard/Editbox"           LookNFeel="SleekSpace/ComboEditbox" />
+    <FalagardMapping WindowType="SleekSpace/Editbox"                     TargetType="CEGUI/Editbox"           Renderer="Falagard/Editbox"           LookNFeel="SleekSpace/Editbox" />
+    <FalagardMapping WindowType="SleekSpace/FrameWindow"                 TargetType="CEGUI/FrameWindow"       Renderer="Falagard/FrameWindow"       LookNFeel="SleekSpace/FrameWindow" />
+    <FalagardMapping WindowType="SleekSpace/Listbox"                     TargetType="CEGUI/Listbox"           Renderer="Falagard/Listbox"           LookNFeel="SleekSpace/Listbox" />
+    <FalagardMapping WindowType="SleekSpace/ListHeader"                  TargetType="CEGUI/ListHeader"        Renderer="Falagard/ListHeader"        LookNFeel="SleekSpace/ListHeader" />
+    <FalagardMapping WindowType="SleekSpace/ListHeaderSegment"           TargetType="CEGUI/ListHeaderSegment" Renderer="Falagard/ListHeaderSegment" LookNFeel="SleekSpace/ListHeaderSegment" />
+    <FalagardMapping WindowType="SleekSpace/MultiLineEditbox"            TargetType="CEGUI/MultiLineEditbox"  Renderer="Falagard/MultiLineEditbox"  LookNFeel="SleekSpace/MultiLineEditbox" />
+    <FalagardMapping WindowType="SleekSpace/Menubar"                     TargetType="CEGUI/Menubar"           Renderer="Falagard/Menubar"           LookNFeel="SleekSpace/Menubar" />
+    <FalagardMapping WindowType="SleekSpace/MenuItem"                    TargetType="CEGUI/MenuItem"          Renderer="Falagard/MenuItem"          LookNFeel="SleekSpace/MenuItem" />
+    <FalagardMapping WindowType="SleekSpace/MultiColumnList"             TargetType="CEGUI/MultiColumnList"   Renderer="Falagard/MultiColumnList"   LookNFeel="SleekSpace/MultiColumnList" />
+    <FalagardMapping WindowType="SleekSpace/PopupMenu"                   TargetType="CEGUI/PopupMenu"         Renderer="Falagard/PopupMenu"         LookNFeel="SleekSpace/PopupMenu" />
+    <FalagardMapping WindowType="SleekSpace/ProgressBar"                 TargetType="CEGUI/ProgressBar"       Renderer="Falagard/ProgressBar"       LookNFeel="SleekSpace/ProgressBar" />
+    <FalagardMapping WindowType="SleekSpace/Button"                      TargetType="CEGUI/PushButton"        Renderer="Falagard/Button"            LookNFeel="SleekSpace/Button" />
+    <FalagardMapping WindowType="SleekSpace/RadioButton"                 TargetType="CEGUI/RadioButton"       Renderer="Falagard/ToggleButton"      LookNFeel="SleekSpace/RadioButton" />
+    <FalagardMapping WindowType="SleekSpace/SystemButton"                TargetType="CEGUI/PushButton"        Renderer="Falagard/SystemButton"      LookNFeel="SleekSpace/Button" />
+    <FalagardMapping WindowType="SleekSpace/ScrollablePane"              TargetType="CEGUI/ScrollablePane"    Renderer="Falagard/ScrollablePane"    LookNFeel="SleekSpace/ScrollablePane" />
+    <FalagardMapping WindowType="SleekSpace/HorizontalScrollbar"         TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="SleekSpace/HorizontalScrollbar" />
+    <FalagardMapping WindowType="SleekSpace/VerticalScrollbar"           TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="SleekSpace/VerticalScrollbar" />
+    <FalagardMapping WindowType="SleekSpace/Slider"                      TargetType="CEGUI/Slider"            Renderer="Falagard/Slider"            LookNFeel="SleekSpace/Slider" />
+    <FalagardMapping WindowType="SleekSpace/Spinner"                     TargetType="CEGUI/Spinner"           Renderer="Falagard/Default"           LookNFeel="SleekSpace/Spinner" />
+    <FalagardMapping WindowType="SleekSpace/TabButton"                   TargetType="CEGUI/TabButton"         Renderer="Falagard/TabButton"         LookNFeel="SleekSpace/TabButton" />
+    <FalagardMapping WindowType="SleekSpace/TabControl"                  TargetType="CEGUI/TabControl"        Renderer="Falagard/TabControl"        LookNFeel="SleekSpace/TabControl" />
+    <FalagardMapping WindowType="SleekSpace/HorizontalScrollbarThumb"    TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="SleekSpace/HorizontalScrollbarThumb" />
+    <FalagardMapping WindowType="SleekSpace/SliderThumb"                 TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="SleekSpace/SliderThumb" />
+    <FalagardMapping WindowType="SleekSpace/VerticalScrollbarThumb"      TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="SleekSpace/VerticalScrollbarThumb" />
+    <FalagardMapping WindowType="SleekSpace/Titlebar"                    TargetType="CEGUI/Titlebar"          Renderer="Falagard/Titlebar"          LookNFeel="SleekSpace/Titlebar" />
+    <FalagardMapping WindowType="SleekSpace/Tooltip"                     TargetType="CEGUI/Tooltip"           Renderer="Falagard/Tooltip"           LookNFeel="SleekSpace/Tooltip" />
+    
+    <!-- Missing widgets (using Taharez LookNFeel) -->
+    <FalagardMapping WindowType="SleekSpace/TabButtonPane"               TargetType="DefaultWindow"           Renderer="Falagard/Default"           LookNFeel="TaharezLook/TabButtonPane" />
+    <FalagardMapping WindowType="SleekSpace/TabContentPane"              TargetType="DefaultWindow"           Renderer="Falagard/Default"           LookNFeel="TaharezLook/TabContentPane" />
+    <FalagardMapping WindowType="SleekSpace/GroupBox"                    TargetType="CEGUI/GroupBox"          Renderer="Falagard/Default"           LookNFeel="TaharezLook/GroupBox" />
+    <FalagardMapping WindowType="SleekSpace/ListboxItem"                 TargetType="CEGUI/ItemEntry"         Renderer="Falagard/ItemEntry"         LookNFeel="TaharezLook/ListboxItem" />
+    <FalagardMapping WindowType="SleekSpace/ItemListbox"                 TargetType="CEGUI/ItemListbox"       Renderer="Falagard/ItemListbox"       LookNFeel="TaharezLook/ItemListbox" />
+    <FalagardMapping WindowType="SleekSpace/ImageButton"                 TargetType="CEGUI/PushButton"        Renderer="Falagard/Button"            LookNFeel="TaharezLook/ImageButton" />
+    <FalagardMapping WindowType="SleekSpace/Tree"                        TargetType="CEGUI/Tree"              Renderer="Falagard/Tree"              LookNFeel="TaharezLook/Tree" />
 
-	<!--
-		lists.looknfeel
-	-->
-	<FalagardMapping
-		WindowType="SleekSpace/Listbox"
-		TargetType="CEGUI/Listbox"
-		Renderer="Falagard/Listbox"
-		LookNFeel="SleekSpace/Listbox"
-		/>
-	<FalagardMapping
-		WindowType="SleekSpace/ListHeader"
-		TargetType="CEGUI/ListHeader"
-		Renderer="Falagard/ListHeader"
-		LookNFeel="SleekSpace/ListHeader"
-		/>
-	<FalagardMapping
-		WindowType="SleekSpace/ListHeaderSegment"
-		TargetType="CEGUI/ListHeaderSegment"
-		Renderer="Falagard/ListHeaderSegment"
-		LookNFeel="SleekSpace/ListHeaderSegment"
-		/>
-	<FalagardMapping
-		WindowType="SleekSpace/Combobox"
-		TargetType="CEGUI/Combobox"
-		Renderer="Falagard/Default"
-		LookNFeel="SleekSpace/Combobox"
-		/>
-	<FalagardMapping
-		WindowType="SleekSpace/ComboEditbox"
-		TargetType="CEGUI/Editbox"
-		Renderer="Falagard/Editbox"
-		LookNFeel="SleekSpace/ComboEditbox"
-		/>
-	<FalagardMapping
-		WindowType="SleekSpace/ComboDropList"
-		TargetType="CEGUI/ComboDropList"
-		Renderer="Falagard/Listbox"
-		LookNFeel="SleekSpace/ComboDropList"
-		/>
-	<FalagardMapping
-		WindowType="SleekSpace/MultiColumnList"
-		TargetType="CEGUI/MultiColumnList"
-		Renderer="Falagard/MultiColumnList"
-		LookNFeel="SleekSpace/MultiColumnList"
-		/>
-
-	<!--
-		containers.looknfeel
-	-->
-	<FalagardMapping
-		WindowType="SleekSpace/Titlebar"
-		TargetType="CEGUI/Titlebar"
-		Renderer="Falagard/Titlebar"
-		LookNFeel="SleekSpace/Titlebar"
-		/>
-	<FalagardMapping
-		WindowType="SleekSpace/FrameWindow"
-		TargetType="CEGUI/FrameWindow"
-		Renderer="Falagard/FrameWindow"
-		LookNFeel="SleekSpace/FrameWindow"
-		/>
-	<FalagardMapping
-		WindowType="SleekSpace/ReticleWindow"
-		TargetType="CEGUI/FrameWindow"
-		Renderer="Falagard/FrameWindow"
-		LookNFeel="SleekSpace/ReticleWindow"
-		/>
-	<FalagardMapping
-		WindowType="SleekSpace/ScrollablePane"
-		TargetType="CEGUI/ScrollablePane"
-		Renderer="Falagard/ScrollablePane"
-		LookNFeel="SleekSpace/ScrollablePane"
-		/>
-	<FalagardMapping
-		WindowType="SleekSpace/TabButton"
-		TargetType="CEGUI/TabButton"
-		Renderer="Falagard/TabButton"
-		LookNFeel="SleekSpace/TabButton"
-		/>
-	<FalagardMapping
-		WindowType="SleekSpace/TabPane"
-		TargetType="DefaultWindow"
-		Renderer="Falagard/TabPane"
-		LookNFeel="SleekSpace/TabPane"
-		/>
-	<FalagardMapping
-		WindowType="SleekSpace/TabControl"
-		TargetType="CEGUI/TabControl"
-		Renderer="Falagard/TabControl"
-		LookNFeel="SleekSpace/TabControl"
-		/>
-
-	<!--
-		scroll.looknfeel
-	-->
-	<FalagardMapping
-		WindowType="SleekSpace/HorizontalScrollbar"
-		TargetType="CEGUI/Scrollbar"
-		Renderer="Falagard/Scrollbar"
-		LookNFeel="SleekSpace/HorizontalScrollbar"
-		/>
-	<FalagardMapping
-		WindowType="SleekSpace/HorizontalScrollbarThumb"
-		TargetType="CEGUI/Thumb"
-		Renderer="Falagard/Button"
-		LookNFeel="SleekSpace/HorizontalScrollbarThumb"
-		/>
-	<FalagardMapping
-		WindowType="SleekSpace/VerticalScrollbar"
-		TargetType="CEGUI/Scrollbar"
-		Renderer="Falagard/Scrollbar"
-		LookNFeel="SleekSpace/VerticalScrollbar"
-		/>
-	<FalagardMapping
-		WindowType="SleekSpace/VerticalScrollbarThumb"
-		TargetType="CEGUI/Thumb"
-		Renderer="Falagard/Button"
-		LookNFeel="SleekSpace/VerticalScrollbarThumb"
-		/>
-	<FalagardMapping
-		WindowType="SleekSpace/LargeVerticalScrollbar"
-		TargetType="CEGUI/Scrollbar"
-		Renderer="Falagard/Scrollbar"
-		LookNFeel="SleekSpace/LargeVerticalScrollbar"
-		/>
-	<FalagardMapping
-		WindowType="SleekSpace/LargeVerticalScrollbarThumb"
-		TargetType="CEGUI/Thumb"
-		Renderer="Falagard/Button"
-		LookNFeel="SleekSpace/LargeVerticalScrollbarThumb"
-		/>
-
-	<!--
-		menu.looknfeel
-	-->
-	<FalagardMapping
-		WindowType="SleekSpace/PopupMenu"
-		TargetType="CEGUI/PopupMenu"
-		Renderer="Falagard/PopupMenu"
-		LookNFeel="SleekSpace/PopupMenu"
-		/>
-	<FalagardMapping
-		WindowType="SleekSpace/Menubar"
-		TargetType="CEGUI/Menubar"
-		Renderer="Falagard/Menubar"
-		LookNFeel="SleekSpace/PopupMenu"
-		/>
-	<FalagardMapping
-		WindowType="SleekSpace/MenuItem"
-		TargetType="CEGUI/MenuItem"
-		Renderer="Falagard/MenuItem"
-		LookNFeel="SleekSpace/MenuItem"
-		/>
-
-	<!--
-		progress.looknfeel
-	-->
-	<FalagardMapping
-		WindowType="SleekSpace/ProgressBar"
-		TargetType="CEGUI/ProgressBar"
-		Renderer="Falagard/ProgressBar"
-		LookNFeel="SleekSpace/ProgressBar"
-		/>
-	<FalagardMapping
-		WindowType="SleekSpace/AlternateProgressBar"
-		TargetType="CEGUI/ProgressBar"
-		Renderer="Falagard/ProgressBar"
-		LookNFeel="SleekSpace/AltProgressBar"
-		/>
-	<FalagardMapping
-		WindowType="SleekSpace/VUMeter"
-		TargetType="CEGUI/ProgressBar"
-		Renderer="Falagard/ProgressBar"
-		LookNFeel="SleekSpace/VUMeter"
-		/>
-	<FalagardMapping
-		WindowType="SleekSpace/Slider"
-		TargetType="CEGUI/Slider"
-		Renderer="Falagard/Slider"
-		LookNFeel="SleekSpace/Slider"
-		/>
-	<FalagardMapping
-		WindowType="SleekSpace/VSlider"
-		TargetType="CEGUI/Slider"
-		Renderer="Falagard/Slider"
-		LookNFeel="SleekSpace/VSlider"
-		/>
-	<FalagardMapping
-		WindowType="SleekSpace/SliderThumb"
-		TargetType="CEGUI/Thumb"
-		Renderer="Falagard/Button"
-		LookNFeel="SleekSpace/SliderThumb"
-		/>
-	<FalagardMapping
-		WindowType="SleekSpace/VSliderThumb"
-		TargetType="CEGUI/Thumb"
-		Renderer="Falagard/Button"
-		LookNFeel="SleekSpace/VSliderThumb"
-		/>
-	<FalagardMapping
-		WindowType="SleekSpace/Spinner"
-		TargetType="CEGUI/Spinner"
-		Renderer="Falagard/Spinner"
-		LookNFeel="SleekSpace/Spinner"
-		/>
-
-	<!--
-		static.looknfeel
-	-->
-	<FalagardMapping
-		WindowType="SleekSpace/StaticImage"
-		TargetType="DefaultWindow"
-		Renderer="Falagard/StaticImage"
-		LookNFeel="SleekSpace/StaticImage"
-		/>
-	<FalagardMapping
-		WindowType="SleekSpace/StaticText"
-		TargetType="DefaultWindow"
-		Renderer="Falagard/StaticText"
-		LookNFeel="SleekSpace/StaticText"
-		/>
+    <!-- Additional widgets -->
+    <FalagardMapping WindowType="SleekSpace/TabPane"                     TargetType="DefaultWindow"           Renderer="Falagard/TabPane"           LookNFeel="SleekSpace/TabPane" />
+    <FalagardMapping WindowType="SleekSpace/ReticleWindow"               TargetType="CEGUI/FrameWindow"       Renderer="Falagard/FrameWindow"       LookNFeel="SleekSpace/ReticleWindow" />
+    <FalagardMapping WindowType="SleekSpace/AlternateProgressBar"        TargetType="CEGUI/ProgressBar"       Renderer="Falagard/ProgressBar"       LookNFeel="SleekSpace/AltProgressBar" />
+    <FalagardMapping WindowType="SleekSpace/VUMeter"                     TargetType="CEGUI/ProgressBar"       Renderer="Falagard/ProgressBar"       LookNFeel="SleekSpace/VUMeter" />
+    <FalagardMapping WindowType="SleekSpace/LargeVerticalScrollbar"      TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="SleekSpace/LargeVerticalScrollbar" />
+    <FalagardMapping WindowType="SleekSpace/VSlider"                     TargetType="CEGUI/Slider"            Renderer="Falagard/Slider"            LookNFeel="SleekSpace/VSlider" />
+    <FalagardMapping WindowType="SleekSpace/LargeVerticalScrollbarThumb" TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="SleekSpace/LargeVerticalScrollbarThumb" />
+    <FalagardMapping WindowType="SleekSpace/VSliderThumb"                TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="SleekSpace/VSliderThumb" />
 </GUIScheme>
Index: code/branches/gamestate/data/gui/schemes/SleekSpaceMenuWidgets.scheme
===================================================================
--- code/branches/gamestate/data/gui/schemes/SleekSpaceMenuWidgets.scheme	(revision 6569)
+++ code/branches/gamestate/data/gui/schemes/SleekSpaceMenuWidgets.scheme	(revision 6569)
@@ -0,0 +1,42 @@
+<?xml version="1.0" ?>
+<GUIScheme Name="SleekSpaceMenuWidgets">
+    <WindowAlias Alias="MenuWidgets/StaticImage"              Target="SleekSpace/StaticImage" />
+    <WindowAlias Alias="MenuWidgets/StaticText"               Target="SleekSpace/StaticText" />
+    <WindowAlias Alias="MenuWidgets/TabButtonPane"            Target="SleekSpace/TabButtonPane" />
+    <WindowAlias Alias="MenuWidgets/TabContentPane"           Target="SleekSpace/TabContentPane" />
+    <WindowAlias Alias="MenuWidgets/Checkbox"                 Target="SleekSpace/Checkbox" />
+    <WindowAlias Alias="MenuWidgets/Combobox"                 Target="SleekSpace/Combobox" />
+    <WindowAlias Alias="MenuWidgets/ComboDropList"            Target="SleekSpace/ComboDropList" />
+    <WindowAlias Alias="MenuWidgets/ComboEditbox"             Target="SleekSpace/ComboEditbox" />
+    <WindowAlias Alias="MenuWidgets/Editbox"                  Target="SleekSpace/Editbox" />
+    <WindowAlias Alias="MenuWidgets/FrameWindow"              Target="SleekSpace/FrameWindow" />
+    <WindowAlias Alias="MenuWidgets/GroupBox"                 Target="SleekSpace/GroupBox" />
+    <WindowAlias Alias="MenuWidgets/ItemListbox"              Target="SleekSpace/ItemListbox" />
+    <WindowAlias Alias="MenuWidgets/ListboxItem"              Target="SleekSpace/ListboxItem" />
+    <WindowAlias Alias="MenuWidgets/Listbox"                  Target="SleekSpace/Listbox" />
+    <WindowAlias Alias="MenuWidgets/ListHeader"               Target="SleekSpace/ListHeader" />
+    <WindowAlias Alias="MenuWidgets/ListHeaderSegment"        Target="SleekSpace/ListHeaderSegment" />
+    <WindowAlias Alias="MenuWidgets/MultiLineEditbox"         Target="SleekSpace/MultiLineEditbox" />
+    <WindowAlias Alias="MenuWidgets/Menubar"                  Target="SleekSpace/Menubar" />
+    <WindowAlias Alias="MenuWidgets/MenuItem"                 Target="SleekSpace/MenuItem" />
+    <WindowAlias Alias="MenuWidgets/MultiColumnList"          Target="SleekSpace/MultiColumnList" />
+    <WindowAlias Alias="MenuWidgets/PopupMenu"                Target="SleekSpace/PopupMenu" />
+    <WindowAlias Alias="MenuWidgets/ProgressBar"              Target="SleekSpace/ProgressBar" />
+    <WindowAlias Alias="MenuWidgets/Button"                   Target="SleekSpace/Button" />
+    <WindowAlias Alias="MenuWidgets/ImageButton"              Target="SleekSpace/ImageButton" />
+    <WindowAlias Alias="MenuWidgets/RadioButton"              Target="SleekSpace/RadioButton" />
+    <WindowAlias Alias="MenuWidgets/SystemButton"             Target="SleekSpace/SystemButton" />
+    <WindowAlias Alias="MenuWidgets/ScrollablePane"           Target="SleekSpace/ScrollablePane" />
+    <WindowAlias Alias="MenuWidgets/HorizontalScrollbar"      Target="SleekSpace/HorizontalScrollbar" />
+    <WindowAlias Alias="MenuWidgets/VerticalScrollbar"        Target="SleekSpace/VerticalScrollbar" />
+    <WindowAlias Alias="MenuWidgets/Slider"                   Target="SleekSpace/Slider" />
+    <WindowAlias Alias="MenuWidgets/Spinner"                  Target="SleekSpace/Spinner" />
+    <WindowAlias Alias="MenuWidgets/TabButton"                Target="SleekSpace/TabButton" />
+    <WindowAlias Alias="MenuWidgets/TabControl"               Target="SleekSpace/TabControl" />
+    <WindowAlias Alias="MenuWidgets/HorizontalScrollbarThumb" Target="SleekSpace/HorizontalScrollbarThumb" />
+    <WindowAlias Alias="MenuWidgets/SliderThumb"              Target="SleekSpace/SliderThumb" />
+    <WindowAlias Alias="MenuWidgets/VerticalScrollbarThumb"   Target="SleekSpace/VerticalScrollbarThumb" />
+    <WindowAlias Alias="MenuWidgets/Titlebar"                 Target="SleekSpace/Titlebar" />
+    <WindowAlias Alias="MenuWidgets/Tooltip"                  Target="SleekSpace/Tooltip" />
+    <WindowAlias Alias="MenuWidgets/Tree"                     Target="SleekSpace/Tree" />
+</GUIScheme>
